Subject: Re: Emacs 24.3 occasionally crashes (segfault) just after starting it
From: Paul Eggert <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 11 Oct 2014 23:19:21 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I audited the Emacs trunk source code for getenv-related races that have 
undefined behavior and could have the reported symptoms.  I found some other 
races and installed a fix for them as Emacs trunk bzr 118095.  I expect this 
patch to be harder to backport to older Emacs versions, and less urgent as the 
races appear to be less likely.

Since we have fixes installed in the trunk I'll take the liberty of closing the 
Emacs bug report.  Please let us know if the bug occurs even with the fixes; if 
that happens I plan to reopen the bug report and look into it further.